"""WiFi Profiler - A cross-platform CLI/TUI tool for measuring and reporting Wi-Fi quality."""

__version__ = "0.1.0"
__author__ = "Sherin Joseph Roy"
__email__ = "sherin.joseph2217@gmail.com"
__url__ = "https://github.com/Sherin-SEF-AI/wifi-profiler"

from .core.models import (
    ConnectionQuality,
    InterfaceInfo,
    PingResult,
    PingSummary,
    TestSession,
    ThroughputResult,
    WiFiStats,
)
from .cli import app

__all__ = [
    "app",
    "ConnectionQuality",
    "InterfaceInfo", 
    "PingResult",
    "PingSummary",
    "TestSession",
    "ThroughputResult",
    "WiFiStats",
] 